Name: libtiff
Version: 3.5.7
Release: alt3

Summary: A library of functions for manipulating TIFF format image files
License: BSD-like
Group: System/Libraries
Url: http://www.libtiff.org/

Source: ftp://ftp.sgi.com/graphics/tiff/tiff-v%version.tar.bz2

Patch0: tiff-v3.5-shlib.patch
Patch1: %name-3.5.5-codecs.patch.bz2
Patch2: %name-3.5.5-stupid_cd_output.patch.bz2
Patch3: %name-3.5.5-buildroot.patch.bz2
Patch4: %name-3.5.7-64bit.patch.bz2
Patch5: %name-v3.5.7-largefile.patch
Patch6: %name-v3.5.7-exit.patch

Patch100: tiff-v3.5.7-alt-fax2tiff.patch

%description
The %name package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The %name package should be installed if you need to manipulate TIFF
format image files.

%package devel
Summary: Development tools for programs which will use the %name library
Group: Development/C
Requires: %name = %version

%description devel
This package contains the header files and static libraries for developing
programs which will manipulate TIFF format image files using the %name
library.

If you need to develop programs which will manipulate TIFF format image
files, you should install this package. You'll also need to install the
%name package.

%package utils
Summary: Programs for manipulating TIFF format image files
Group: Graphics
Requires: %name = %version

%description utils
The %name-utils package contains simple client programs for accessing
the %name functions.

%prep
%setup -q -n tiff-v%version
%patch0 -p1 -b .shlib
%patch1 -p1 -b .codecs
%patch2 -p1 -b .cd
%patch3 -p1 -b .buildroot
%patch4 -p1 -b .64bit
%patch5 -p1 -b .largefile
%patch6 -p1 -b .exit

%patch100 -p1

find -type d -name CVS |xargs -r rm -rf

%build
perl -pi -e 's|(DIR_.*)="?/usr/lib"?|\1="%_libdir"|' config.site
./configure --target=%_target_platform \
	--with-GCOPTS="$RPM_OPT_FLAGS" << EOF
no
%_bindir
%_libdir
%_includedir
%_mandir
%_docdir/%name-%version
bsd-source-cat
yes
EOF
cd libtiff
ln -s libtiff.so.%version libtiff.so
cd ..
COPTS="%optflags" make

%install
rm -rf %buildroot
mkdir -p %buildroot/{%_bindir,%_datadir}
make install
install -m644 %name/%name.so.%version %buildroot/%_libdir

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%doc COPYRIGHT README TODO

%files utils
%_bindir/*
%_mandir/man1/*

%files devel
%_libdir/*.so
%_libdir/*.*a
%_includedir/*
%_mandir/man3/*
%doc html

%changelog
* Thu Jan 16 2003 Stanislav Ievlev <inger@altlinux.ru> 3.5.7-alt3
- fix fax2tiff crash

* Tue Sep 10 2002 Stanislav Ievlev <inger@altlinux.ru> 3.5.7-alt2
- Rebuild with gcc3

* Sat Aug 24 2002 Rider <rider@altlinux.ru> 3.5.7-alt1
- 3.5.7
- patches from RedHat

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 3.5.5-ipl3mdk
- rebuild

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 3.5.5-ipl2mdk
- Fixed config and install.
- Split into %name, %name-utils and %name-devel.

* Wed Oct 18 2000 Dmitry V. Levin <ldv@fandra.org> 3.5.5-ipl1mdk
- RE adaptions.

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 3.5.5-1mdk
- 3.5.5
- Removed obsolete patch(check for libc6).
- Rewrittent some spec section to be more generic.
- Updated shlib patch.
- Removed LIBVER define.

* Tue Apr 18 2000 Warly <warly@linux-mandrake.com> 3.4-10mdk
- New group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- Use good macro (old one may have bziped whole dirs)
- defattr

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpages

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against fixed jpeg libs (libjpeg-6b)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- new version to replace the one from libgr
- patched for glibc
- added shlib support
